/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "particles.h"
#include <gint/display.h>

extern struct Particle particles[MAX_PARTICLES];

static void particle_draw(struct Particle particle);

void particles_draw(void)
{
	int i = MAX_PARTICLES;
	while (i-- > 0)
		particle_draw(particles[i]);
}

static void particle_draw(struct Particle particle)
{
	if (!particle.life)
		return;

	dsubimage(particle.x, particle.y, particle.texture,
	          particle.frame * particle.frame_width, 0,
	          particle.frame_width, particle.frame_height,
	          DIMAGE_NOCLIP);
}
