/* SPDX-License-Identifier: GPL-3.0-or-later */
/* Copyright (C) 2021 KikooDX */

#include "conf.h"
#include "filepaths.h"
#include "level.h"
#include "player.h"
#include <gint/display.h>

extern struct Level level;

extern bopti_image_t bimg_player;
extern bopti_image_t bimg_burst;

void player_draw(struct Player player)
{
	dimage(player.x, player.y, &bimg_player);
	if (player.air_state == AirRising &&
	    player.jumps_left < AIR_JUMPS)
		dimage(player.x, player.y + PLAYER_HEIGHT, &bimg_burst);
	/* print level name
	 * this shouldn't be in player code */
	dprint_opt(DWIDTH - 4, DHEIGHT, C_WHITE, C_NONE, DTEXT_RIGHT,
	           DTEXT_BOTTOM, "%s", level_names[level.id]);
}
